Shared Drives
Generated on 18 Mar 2026
https://api.paperspace.com/v1
Endpoints
GET List shared drives
/shared-drives
Authorizations:
BearerAuth
An API key or access token
Fetches a list of shared drives.
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descname
optional
region
optional
Request: /shared-drives
Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtCreated
required
The date the shared drive was created.
dtDeleted
optional Nullable
The date the shared drive was deleted.
id
required
The ID of the shared drive.
mountPoint
required
The mount point of the shared drive.
name
required
The name of the shared drive.
networkId
required
The ID of the network the shared drive is in.
password
required
The password of the shared drive.
region
required
The region the shared drive is in.
size
required
The size of the shared drive.
username
required
The username of the shared drive.
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
POST Create a shared drive
/shared-drives
Authorizations:
BearerAuth
An API key or access token
Creates a new shared drive for use in a private network.
Request Body: application/json
name
required
The name of the shared drive.
networkId
required
The ID of the network the shared drive is in.
region
required
The region the shared drive is in.
size
required
The size of the shared drive in gigabytes.
Request: /shared-drives
Responses
200
Successful response
application/json
dtCreated
required
The date the shared drive was created.
dtDeleted
optional Nullable
The date the shared drive was deleted.
id
required
The ID of the shared drive.
mountPoint
required
The mount point of the shared drive.
name
required
The name of the shared drive.
networkId
required
The ID of the network the shared drive is in.
password
required
The password of the shared drive.
region
required
The region the shared drive is in.
size
required
The size of the shared drive.
username
required
The username of the shared drive.
default
Error response
application/json
code
required
details
optional
message
required
Response
GET Get a shared drive
/shared-drives/{id}
Authorizations:
BearerAuth
An API key or access token
Fetches a single shared drive by ID.
Path Parameters
id
required
The ID of the shared drive to fetch.
Request: /shared-drives/{id}
Responses
200
Successful response
application/json
dtCreated
required
The date the shared drive was created.
dtDeleted
optional Nullable
The date the shared drive was deleted.
id
required
The ID of the shared drive.
mountPoint
required
The mount point of the shared drive.
name
required
The name of the shared drive.
networkId
required
The ID of the network the shared drive is in.
password
required
The password of the shared drive.
region
required
The region the shared drive is in.
size
required
The size of the shared drive.
username
required
The username of the shared drive.
default
Error response
application/json
code
required
details
optional
message
required
Response
PUT Update a shared drive
/shared-drives/{id}
Authorizations:
BearerAuth
An API key or access token
Updates a single shared drive by ID.
Path Parameters
id
required
The ID of the shared drive to fetch.
Request Body: application/json
name
optional
The name of the shared drive.
Request: /shared-drives/{id}
Responses
200
Successful response
application/json
dtCreated
required
The date the shared drive was created.
dtDeleted
optional Nullable
The date the shared drive was deleted.
id
required
The ID of the shared drive.
mountPoint
required
The mount point of the shared drive.
name
required
The name of the shared drive.
networkId
required
The ID of the network the shared drive is in.
password
required
The password of the shared drive.
region
required
The region the shared drive is in.
size
required
The size of the shared drive.
username
required
The username of the shared drive.
default
Error response
application/json
code
required
details
optional
message
required
Response
DELETE Delete a shared drive
/shared-drives/{id}
Authorizations:
BearerAuth
An API key or access token
Deletes a single shared drive by ID.
Path Parameters
id
required
The ID of the shared drive to delete.
Request: /shared-drives/{id}
Responses
200
Successful response
application/json
id
required
The ID of the deleted shared drive.
default
Error response
application/json
code
required
details
optional
message
required